<?php

if(is_admin()){
  add_action('admin_head', 'of_admin_head'); 
	add_action('admin_init', 'add_admin_scripts');
}


function add_admin_scripts() {
  wp_enqueue_script( 'shortcodes', get_template_directory_uri() . '/admin/tinymce/shortcodelocalization.js');
	wp_localize_script( 'shortcodes', 'objectL10n', array(
  'columns_title' => __('Columns','myhosting'),
  'columns_inner_title' => __('Inner Columns','myhosting'),
  'elements_title' => __('Elements','myhosting'),
  'list_title' => __('List Style','myhosting'),
  'onecol_title' => __('Full Column','myhosting'),
  'onehalf_title' => __('One Half','myhosting'),
  'onethird_title' => __('One Third','myhosting'),
  'onefourth_title' => __('One Fourth','myhosting'),
  'threefourth_title' => __('Three Fourth','myhosting'),
  'twothird_title' => __('Two Third','myhosting'),
  'dropcap1_title' => __('Dropcap 1','myhosting'),
  'dropcap2_title' => __('Dropcap 2','myhosting'),
  'dropcap3_title' => __('Dropcap 3','myhosting'),
  'pullquote_left_title' => __('Pullquote Left','myhosting'),
  'pullquote_right_title' => __('Pullquote Right','myhosting'),
  'divider_title' => __('Divider','myhosting'),
  'tabs_title' => __('Tabs','myhosting'),
  'toggle_title' => __('Toggle','myhosting'),
  'accordion_title' => __('Accordion','myhosting'),
  'image_title' => __('Image','myhosting'),
  'gmap_title' => __('Google Map','myhosting'),
  'youtube_title' => __('Youtube','myhosting'),
  'vimeo_title' => __('Vimeo','myhosting'),
  'button_title' => __('Buttons','myhosting'),
  'bulletlist_title' => __('Bullet List','myhosting'),
  'starlist_title' => __('Star List','myhosting'),
  'arrowlist_title' => __('Arrow List','myhosting'),
  'squarelist_title' => __('Square List','myhosting'),
  'checklist_title' => __('Check List','myhosting'),
  'deletelist_title' => __('Delete List','myhosting'),
  'penlist_title' => __('Pen List','myhosting'),
  'greenarrow_title' => __('Green Arrow List','myhosting'),
  'gearlist_title' => __('Gear List','myhosting'),
  'infobox_title' => __('Info Box','myhosting'),
  'successbox_title' => __('Success Box','myhosting'),
  'warningbox_title' => __('Warning Box','myhosting'),
  'errorbox_title' => __('Error Box','myhosting'),
  'pricing3col_title' => __('Pricing Table 3 Cols','myhosting'),
  'pricing4col_title' => __('Pricing Table 4 Cols','myhosting'),
  'pricing5col_title' => __('Pricing Table 5 Cols','myhosting'),
  'content_title' => __('Content','myhosting'),
  'accordion_title' => __('Accordion','myhosting'),
  'centertext_title' => __('Center Text','myhosting'),
	'centerimage_title' => __('Center Image','myhosting'),
  'promobox_title' => __('Promo Box','myhosting'),
  'stafflist_title' => __('Staff List','myhosting'),
  'featureslist_title' => __('Features List','myhosting')
	));

}
