/* SET LOCALIZED VARIABLES */
var content_title = objectL10n.content_title;
var columns_title = objectL10n.columns_title;
var columns_inner_title = objectL10n.columns_inner_title;
var elements_title = objectL10n.elements_title;
var list_title = objectL10n.list_title;
var onecol_title = objectL10n.onecol_title;
var onefourth_title = objectL10n.onefourth_title;
var threefourth_title = objectL10n.threefourth_title;
var onethird_title = objectL10n.onethird_title;
var onehalf_title = objectL10n.onehalf_title;
var twothird_title = objectL10n.twothird_title;
var threefourth_title = objectL10n.threefourth_title;
var dropcap1_title = objectL10n.dropcap1_title;
var dropcap2_title = objectL10n.dropcap2_title;
var dropcap3_title = objectL10n.dropcap3_title;
var pullquote_left_title = objectL10n.pullquote_left_title ;
var pullquote_right_title  = objectL10n.pullquote_right_title ;
var divider_title  = objectL10n.divider_title ;
var tabs_title  = objectL10n.tabs_title;
var toggle_title  = objectL10n.toggle_title;
var image_title  = objectL10n.image_title ;
var gmap_title  = objectL10n.gmap_title ;
var youtube_title  = objectL10n.youtube_title ;
var vimeo_title  = objectL10n.vimeo_title ;
var button_title  = objectL10n.button_title ;
var bulletlist_title  = objectL10n.bulletlist_title ;
var starlist_title  = objectL10n.starlist_title ;
var arrowlist_title  = objectL10n.arrowlist_title ;
var itemlist_title  = objectL10n.itemlist_title ;
var checklist_title  = objectL10n.checklist_title ;
var squarelist_title  = objectL10n.squarelist_title; 
var deletelist_title  = objectL10n.deletelist_title;
var penlist_title  = objectL10n.penlist_title;
var gearlist_title  = objectL10n.gearlist_title; 
var greenarrow_title  = objectL10n.greenarrow_title;
var infobox_title  = objectL10n.infobox_title ;
var successbox_title  = objectL10n.successbox_title ;
var warningbox_title  = objectL10n.warningbox_title ;
var errorbox_title  = objectL10n.errorbox_title;
var pricing3col_title = objectL10n.pricing3col_title;
var pricing4col_title = objectL10n.pricing4col_title;
var pricing5col_title = objectL10n.pricing5col_title;
var accordion_title = objectL10n.accordion_title;
var centerimage_title = objectL10n.centerimage_title;
var centertext_title = objectL10n.centertext_title;
var promobox_title= objectL10n.promobox_title;
var stafflist_title = objectL10n.stafflist_title;
var featureslist_title = objectL10n.featureslist_title;

// Creates a new plugin class and a custom listbox
(function() {
	tinymce.create('tinymce.plugins.shortcodes', {
    createControl : function(n, cm) {
			if(n=='columns'){
				
                var clb = cm.createListBox('columns', {
                     //title : columns_title,
                     title : columns_title,
                     onselect : function(v) { //Option value as parameter
					 
						         tinyMCE.execCommand('mceInsertContent',false,v); 
						                                       
                     }
                });
 
                // Add column values to the list box
                clb.add(onecol_title, '[row_column]'+"<br/>"+'[col_full]your content here[/col_full]'+"<br/>"+'[/row_column]');
                clb.add(onehalf_title, '[row_column]'+"<br/>"+'[col_12]your content here[/col_12]'+"<br/>"+'[col_12]your content here[/col_12]'+"<br/>"+'[/row_column]');
                clb.add(onethird_title, '[row_column]'+"<br/>"+'[col_13]your content here[/col_13]'+"<br/>"+'[col_13]your content here[/col_13]'+"<br/>"+'[col_13]your content here[/col_13]'+"<br/>"+'[/row_column]');
                clb.add(onefourth_title, '[row_column]'+"<br/>"+'[col_14]your content here[/col_14]'+"<br/>"+'[col_14]your content here[/col_14]'+"<br/>"+'[col_14]your content here[/col_14]'+"<br/>"+'[col_14]your content here[/col_14]'+"<br/>"+'[/row_column]');
                clb.add(twothird_title, '[row_column]'+"<br/>"+'[col_23]your content here[/col_23]'+"<br/>"+'[col_13]your content here[/col_13]'+"<br/>"+'[/row_column]');
                clb.add(threefourth_title, '[row_column][col_34]your content here[/col_34]'+"<br/>"+'[col_14]your content here[/col_14]'+"<br/>"+'[/row_column]');

                // Return the new list box instance
                return clb;
             }
 
			if(n=='elements'){
				
                var mlb = cm.createListBox('elements', {
                     //title : elements_title,
                     title : elements_title,
                     onselect : function(v) { //Option value as parameter
					 
						         tinyMCE.execCommand('mceInsertContent',false,v);
						                                       
                     }
                });
 
                // Add column values to the list box
                mlb.add(divider_title, '[divider type="line|shadow"]');
                mlb.add(dropcap1_title, '[dropcap1][/dropcap1]');
                mlb.add(dropcap2_title, '[dropcap2][/dropcap2]');
                mlb.add(dropcap3_title, '[dropcap3][/dropcap3]');
                mlb.add(pullquote_left_title, '[pullquote_left][/pullquote_left]');
                mlb.add(pullquote_right_title, '[pullquote_right][/pullquote_right]');
                mlb.add(image_title, '[image source="" align="left|center|right" border="true|false"]');
                mlb.add(button_title, '[button link="#" color="" size="small|medium|big]your text[/button]');
                mlb.add(infobox_title, '[info]your text here[/info]');
                mlb.add(successbox_title, '[success]your text here[/success]');
                mlb.add(warningbox_title, '[warning]your text here[/warning]');
                mlb.add(errorbox_title, '[error]your text here[/error]'); 

                // Return the new list box instance
                return mlb;
             }

			 if(n=='list'){
				
                var mlb = cm.createListBox('list', {
                     //title : elements_title,
                     title : list_title,
                     onselect : function(v) { //Option value as parameter
					 
						         tinyMCE.execCommand('mceInsertContent',false,v);
						                                       
                     }
                });
 
                // Add column values to the list box
                mlb.add(bulletlist_title, '[bulletlist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/bulletlist]');
                mlb.add(starlist_title, '[starlist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/starlist]');
                mlb.add(checklist_title, '[checklist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/checklist]');
                mlb.add(arrowlist_title, '[arrowlist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/arrowlist]');
                mlb.add(squarelist_title, '[squarelist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/squarelist]'); 
                mlb.add(deletelist_title, '[deletelist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/deletelist]');
                mlb.add(penlist_title, '[penlist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/penlist]');
                mlb.add(gearlist_title, '[gearlist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/gearlist]'); 
                mlb.add(greenarrow_title, '[green_arrowlist]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/green_arrowlist]');
                // Return the new list box instance
                return mlb;
             }
             
      if(n=='content'){
				
                var mlb = cm.createListBox('content', {
                     title : content_title,
                     onselect : function(v) { //Option value as parameter
					 
						         tinyMCE.execCommand('mceInsertContent',false,v);
						                                       
                     }
                });
 
                // Add column values to the list box
                mlb.add(centerimage_title, '[center_image]your image series here[/center_image]');
                mlb.add(centertext_title, '[center_text]your text here[/center_text]');
                mlb.add(pricing3col_title, '[pricing column=3]'+"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" price="$10" per="month" button_url="#" subtitle="Best for starter" button_text="Order" color="orange" featured="yes"]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" price="$10" per="month" button_url="#" subtitle="Best for starter" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'+'[/pricing]'
                );
                mlb.add(pricing4col_title, '[pricing column=4]'+"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color="green"  featured="yes"]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" price="$10" per="month" button_url="#" subtitle="Best for starter" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'+'[/pricing]'
                );
                mlb.add(pricing5col_title, '[pricing column=5]'+"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color="blue" featured="yes"]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" subtitle="Best for starter" price="$10" per="month" button_url="#" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'
                +"<br/>"+'[item title="Standard" price="$10" per="month" button_url="#" subtitle="Best for starter" button_text="Order" color=""]'+"<br/>"+'<ul><li>unordered list content</li><li>unordered list content</li></ul>'+'[/item]'+'<br/>'+'[/pricing]'
                );
                mlb.add(promobox_title, '[promo box_left_icon="" box_left_text="" box_right_icon="" box_right_text="" box_right_subheading=""]');
                mlb.add(stafflist_title, '[staff_list title="" num=4 orderby="date"]');
                mlb.add(featureslist_title, '[features_list category="all" column=3 num=-1 orderby="date"]');
                mlb.add(gmap_title, '[gmap width="" height="" latitude="" src=""]');
                mlb.add(youtube_title, '[youtube_video id= width="" height=""]');
                mlb.add(vimeo_title, '[vimeo_video id= width="" height=""]'); 
                mlb.add(tabs_title, '[tabs]'+"<br/>"+'[tab title="your title here"]your content here[/tab]'+"<br/>"+'[/tabs]');
                mlb.add(toggle_title, '[toggle title="your title here"]your content here[/toggle]');
                mlb.add(accordion_title, '[accordions]'+"<br/>"+'[accordion title="title 1"]contents[/accordion]'+"<br/>"+'[accordions]');
                // Return the new list box instance
                return mlb;
             }
             
      return null;
		}
	});
 
	// Register plugin
	tinymce.PluginManager.add('shortcodes', tinymce.plugins.shortcodes);
	
})();

