<?php
/*
Template Name: Services
*/
?>
<?php get_header();?>
   
  <section id="page-heading">
    <div class="row">
      
      <div class="six columns">
        <div class="page-title">
          <h2><?php the_title();?></h2>
        </div>
      </div>
      
      <div class="six columns">
        <div class="search-box">
          <form id="search" action="<?php echo home_url();?>" method="get" >
            <input type="text" value="جستجو..." onblur="if (this.value == ''){this.value = 'جستجو...'; }" onfocus="if (this.value == 'جستجو...') {this.value = ''; }" class="input-search" id="s" name="s" />
          </form>
        </div>
      </div>
      
    </div>  
 </section>
 
</div>

  <section id="page-bar">
     <div class="row">
       
       <div class="twelve columns">
         <div class="breadcrumbs">
          <?php if ( function_exists( 'breadcrumbs_plus' ) ) breadcrumbs_plus(); ?>
         </div>
       </div>     
       
     </div>  
  </section>

  <div class="clear"></div>
  
  
  <div class="content">
    <div class="main-content">
    <div class="row">
      <div class="twelve columns">
        <?php
          global $post;
          
          $counter = 0;
          query_posts('post_type=page&post_parent='.$post->ID.'&showposts=-1&orderby=date&order=DESC');                  
          while ( have_posts() ) : the_post();
          $thumb   = get_post_thumbnail_id();
          $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
          $image = aq_resize($img_url,300,180);
          $counter++;
         	?>    
          <div class="service-list">
            <div class="service-thumb">
            <?php if ($image) { ?>
              <img src="<?php echo $image;?>" alt="" class="img-border" />
            <?php } ?>
            </div>
            <div class="service-content">
              <h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
              <?php the_excerpt();?>
            </div>
          </div>
         <?php endwhile;?>
         <?php wp_reset_query();?>
        </div>
      </div>
      <div class="clear"></div>
    </div>
        
  <div class="clear"></div>
    
  </div>
  
  <?php get_footer();?>