  <?php global $data, $post;?>
  <?php
  $carousel_speed = $data['carousel_speed'];
  ?>
  <script type="text/javascript">
  jQuery(document).ready(function($) {
    	$('.flex-carousel').flexslider({
	        animation: "slide",
	        itemWidth: 240,
	        minItems: 2,
	        maxItems: 4,
	        slideshowSpeed: <?php echo $carousel_speed ? $carousel_speed : 6000;?>,
	        slideshow: true,
	        directionNav: false,
          controlNav: true,
          touch: true,
	        video: false,
          useCSS: false
	    });
  });
  </script>
  <section id="features-block">
    <div class="flex-carousel carousel">
      <ul class="slides">
        <?php
        query_posts(array( 'post_type' => 'feature', 'posts_per_page' => -1,"orderby" => 'date','order'=> 'DESC'));
        
        $counter = 0;
        while ( have_posts() ) : the_post();
        $counter++;
          $feature_content = get_post_meta($post->ID,"_feature_content",true);
          $thumb   = get_post_thumbnail_id();
          $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
          $image = aq_resize( $img_url,48,48,true );
          
        ?>
        <li>
          <?php if ($image) { ?>
            <img src="<?php echo $image;?>" alt="" class="aligncenter"/>
          <?php } ?>
            <h5><?php the_title();?></h5>
            <p><?php echo stripslashes($feature_content);?></p>
        </li>
        <?php endwhile;?>
        <?php wp_reset_query();?>
      </ul>
    </div>
  </section>