<?php get_header();?>
   
  <section id="page-heading">
    <div class="row">
      
      <div class="six columns">
        <div class="page-title">
          <h2><?php echo __('Search result for ','myhosting');?><?php echo '"'.$s.'"';?></h2>
        </div>
      </div>
      
      <div class="six columns">
          <div class="search-box">
            <form id="search" action="<?php echo home_url();?>" method="get" >
              <input type="text" value="جستجو..." onblur="if (this.value == ''){this.value = 'جستجو...'; }" onfocus="if (this.value == 'جستجو...') {this.value = ''; }" class="input-search" id="s" name="s" />
            </form>
          </div>
      </div>
      
    </div>  
 </section>
 
</div>

  <section id="page-bar">
     <div class="row">
       
       <div class="twelve columns">
         <div class="breadcrumbs">
           <?php if ( function_exists( 'breadcrumbs_plus' ) ) breadcrumbs_plus(); ?>
         </div>
       </div>     
       
     </div>  
  </section>

  <div class="clear"></div>
  
  
  <div class="content">
    <div class="row">
      <div class="nine columns">
        
        <div class="main-content">
          <?php
          if (have_posts()) :
          while ( have_posts() ) : the_post();
          $thumb   = get_post_thumbnail_id();
          $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
          $image   = aq_resize( $img_url, 200,234, true ); //resize & crop the image
          ?>
          
            <div id="post-<?php the_ID(); ?>" class="blog-post <?php post_class(); ?>">                   
                <div class="post-content" style="width: 100%;">
                  <h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
                  <?php the_excerpt();?>                                              
                </div>
            </div>
            
          <?php endwhile;?>
          
          <?php else : ?>
          <h3><?php echo __('No result found for','myhosting');?> <?php echo '"'.$s.'"';?></h3>
          <p><?php echo __('Please try different keyword','myhosting');?></p>
          <div class="search-box" style="float: left;">
            <form id="search" action="<?php echo home_url();?>" method="get" >
              <input type="text" value="جستجو..." onblur="if (this.value == ''){this.value = 'جستجو...'; }" onfocus="if (this.value == 'جستجو...') {this.value = ''; }" class="input-search" id="s" name="s" />
            </form>
          </div>
          <?php endif;?>
          
          <!-- begin of pagination -->
            <div class="blog-pagination">
                <!-- Pagination -->
               <?php pagination();?>  
               <!-- Pagination End -->
            </div>
            <!-- end of pagination --> 
            
        </div>
    
      </div>
      
      <?php get_sidebar();?>
      
      <div class="clear"></div>
      
    </div>
      
  <?php get_footer();?>