  <?php global $data;?>
  <?php
  $flexslider_speed = $data['flexslider_speed'];
  $slideshow_order = $data['slideshow_order'];
  ?>
  <script type="text/javascript">
  jQuery(document).ready(function($) {
      $('.flexslider').fitVids().flexslider({
	        animation: "slide",
	        controlNav: false,
	        slideshowSpeed: <?php echo $flexslider_speed ? $flexslider_speed : 4000;?>,
	        animationSpeed: 600,
	        slideshow: true,
          touch: true,
	        video: false,
          useCSS: false          
	    });
  });
  </script>
  
  <section id="slider">
   <div class="flexslider">
     <ul class="slides">
      <?php
      query_posts(array( 'post_type' => 'slideshow', 'posts_per_page' => -1,'orderby'=>$slideshow_order,'order'=>'DESC'));
      while (have_posts() ) : the_post();
        $slideshow_url = (get_post_meta($post->ID, '_slideshow_url', true )) ? get_post_meta($post->ID, '_slideshow_url', true ) : get_permalink();
        $slideshow_url_text = get_post_meta($post->ID,'_slideshow_url_text',true);
        $slideshow_types = get_post_meta($post->ID,"_slideshow_types",true);
        $slideshow_video = get_post_meta($post->ID,"_slideshow_video",true);
        $thumb   = get_post_thumbnail_id();
        $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
        $image_left   = aq_resize( $img_url, 400, 337, true ); //resize & crop the image
        $image_right   = aq_resize( $img_url, 415, 359, true ); //resize & crop the image
        $image_center   = aq_resize( $img_url, 568, 256, true ); //resize & crop the image
        $image_full   = aq_resize( $img_url, 924, 324, true ); //resize & crop the image
      ?>

       <li>
        <?php if ($slideshow_types == "Image at Right") { ?>
    	    <div class="text-left">
    	        <h2><?php the_title();?></h2>
    	        <?php the_content();?>
    	        <div class="clear"></div>
              <?php if ($slideshow_url !="") { ?>
    	        <a href="<?php echo $slideshow_url;?>" class="button medium orange"><?php echo $slideshow_url_text ? $slideshow_url_text : __('Read More','myhosting');?></a>
              <?php } ?>
    	    </div>
    	    <div class="image-right">
            <?php if ($image_right) { ?>
    		      <img src="<?php echo $image_right;?>" alt="" />
            <?php } ?>
    	    </div>
        <?php } else if ($slideshow_types == "Image at Left") { ?> 
    	    <div class="text-right">
    	        <h2><?php the_title();?></h2>
    	        <?php the_content();?>
    	        <div class="clear"></div>
    	        <?php if ($slideshow_url !="") { ?>
    	        <a href="<?php echo $slideshow_url;?>" class="button medium orange"><?php echo $slideshow_url_text ? $slideshow_url_text : __('Read More','myhosting');?></a>
              <?php } ?>
    	    </div>
    	    <div class="image-left">
    	      <?php if ($image_left) { ?>
    		      <img src="<?php echo $image_left;?>" alt="" />
            <?php } ?>
    	    </div>
       <?php } else if ($slideshow_types == "Center Text and Image") { ?>
    		  <div class="center-text">
    		    <h2><?php the_title();?></h2>
    		    <?php the_content();?>
            <div class="center-text-image">
            <?php if ($image_center) { ?>
    		      <img src="<?php echo $image_center;?>" alt="" class="aligncenter"/>
            <?php } ?>
            </div>
    		  </div>
        <?php } else { ?>
          <?php if ($slideshow_video !="") { ?>
    		  <div class="video-frame">
    		    <?php echo $slideshow_video;?>
            <div class="slide-shadow2"></div>
    		  </div>
          <div class="video-text">
            <h2><?php the_title();?></h2>
            <?php the_content();?>
            <?php if ($slideshow_url !="") { ?>
  	        <a href="<?php echo $slideshow_url;?>" class="button medium orange"><?php echo $slideshow_url_text ? $slideshow_url_text : __('Read More','myhosting');?></a>
            <?php } ?>
          </div>
          <?php } else { ?>
            <img src="<?php echo $image_full;?>" alt="" class="slide-full" />
            <div class="slide-shadow"></div>
          <?php } ?>
        <?php } ?>
    		</li>
      <?php endwhile;?>
      <?php wp_reset_query();?>
     </ul>
   </div>
 </section>